SoColorIndex(3IV)

NAME
SoColorIndex — surface color index node

INHERITS FROM
SoBase > SoFieldContainer > SoNode > SoColorIndex

SYNOPSIS
#include <Inventor/nodes/SoColorIndex.h>

Fields from class SoColorIndex:

SoMFInt32
index

Methods from class SoColorIndex:

SoColorIndex()
static SoType
getClassTypeId()

Methods from class SoNode:

void
setOverride(SbBool state)
SbBool
isOverride() const
SoNode *
copy(SbBool copyConnections = FALSE) const
virtual SbBool
affectsState() const
static SoNode *
getByName(const SbName &name)
static int
getByName(const SbName &name, SoNodeList &list)

Methods from class SoFieldContainer:

void
setToDefaults()
SbBool
hasDefaultValues() const
SbBool
fieldsAreEqual(const SoFieldContainer *fc) const
void
copyFieldValues(const SoFieldContainer *fc, SbBool copyConnections = FALSE)
SbBool
set(const char *fieldDataString)
void
get(SbString &fieldDataString)
virtual int
getFields(SoFieldList &resultList) const
virtual SoField *
getField(const SbName &fieldName) const
SbBool
getFieldName(const SoField *field, SbName &fieldName) const
SbBool
isNotifyEnabled() const
SbBool
enableNotify(SbBool flag)

Methods from class SoBase:

void
ref()
void
unref() const
void
unrefNoDelete() const
void
touch()
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const
virtual void
setName(const SbName &name)
virtual SbName
getName() const

DESCRIPTION
This node specifies the color to use for subsequent shapes as an index into the current color table. This is used only for BASE_COLOR lighting (see SoLightModel) in color index mode. Color index mode may be enabled by the window in which rendering occurs.

Since color indices make sense only in the context of OpenGL rendering, this node implements only a method for the SoGLRenderAction.

FIELDS
SoMFInt32
index
Color index.

METHODS

SoColorIndex()
Creates a color index node with default settings.

static SoType
getClassTypeId()
Returns type identifier for this class.

ACTION BEHAVIOR
SoGLRenderAction
Sets the color index for subsequent shapes rendered with BASE_COLOR lighting.

FILE FORMAT/DEFAULTS
ColorIndex {
index	1
}

SEE ALSO
SoBaseColor, SoLightModel